GMX-NMTRAJ(1)

NAME
gmx-nmtraj - Generate a virtual oscillating trajectory from an eigenvector

SYNOPSIS

gmx nmtraj [-s [<.tpr/.gro/...>]] [-v [<.trr/.cpt/...>]]
           [-o [<.xtc/.trr/...>]] [-eignr <string>]
           [-phases <string>] [-temp <real>] [-amplitude <real>]
           [-nframes <int>]

DESCRIPTION

gmx nmtraj generates an virtual trajectory from an eigenvector, corresponding to a harmonic Cartesian oscillation around the average structure. The eigenvectors should normally be mass-weighted, but you can use non-weighted eigenvectors to generate orthogonal motions. The output frames are written as a trajectory file covering an entire period, and the first frame is the average structure. If you write the trajectory in (or convert to) PDB format you can view it directly in PyMol and also render a photorealistic movie. Motion amplitudes are calculated from the eigenvalues and a preset temperature, assuming equipartition of the energy over all modes. To make the motion clearly visible in PyMol you might want to amplify it by setting an unrealistically high temperature. However, be aware that both the linear Cartesian displacements and mass weighting will lead to serious structure deformation for high amplitudes - this is is simply a limitation of the Cartesian normal mode model. By default the selected eigenvector is set to 7, since the first six normal modes are the translational and rotational degrees of freedom.

OPTIONS

Options to specify input files:

-s [<.tpr/.gro/…>] (topol.tpr)
    Structure+mass(db): tpr gro g96 pdb brk ent

-v [<.trr/.cpt/…>] (eigenvec.trr)
    Full precision trajectory: trr cpt tng

    Options to specify output files:

-o [<.xtc/.trr/…>] (nmtraj.xtc)
    Trajectory: xtc trr gro g96 pdb tng

    Other options:

-eignr <string> (7)
    String of eigenvectors to use (first is 1)

-phases <string> (0.0)
    String of phases (default is 0.0)

-temp <real> (300)
    Temperature (K)

-amplitude <real> (0.25)
    Amplitude for modes with eigenvalue<=0

-nframes <int> (30)
    Number of frames to generate

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team